digiKam Developer Documentation: Digikam::EditorToolThreaded Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Digikam::EditorToolThreaded Class Reference
Inheritance diagram for Digikam::EditorToolThreaded:

## Public Types
enum | RenderingMode { NoneRendering = 0 , PreviewRendering , FinalRendering }

## Public Slots
virtual void | slotAbort ()
Public Slots inherited from Digikam::EditorTool
virtual void | slotApplyTool ()
virtual void | slotCloseTool ()
void | slotPreviewModeChanged ()
void | slotUpdateSpotInfo (const Digikam::DColor &col, const QPoint &point)

## Public Member Functions
| EditorToolThreaded (QObject *const parent)
RenderingMode | renderingMode () const
| return the current tool rendering mode.
void | setProgressMessage (const QString &mess)
| Set the small text to show in editor status progress bar during tool computation.
Public Member Functions inherited from Digikam::EditorTool
| EditorTool (QObject *const parent)
virtual void | exposureSettingsChanged ()
virtual void | ICCSettingsChanged ()
void | init ()
| Called by editor tool interface to initialized tool when all is ready, through slotInit().
DPlugin * | plugin () const
virtual void | setBackgroundColor (const QColor &bg)
void | setInitPreview (bool b)
| Set this option to on if you want to call slotPreview() in slotInit() at tool startup.
void | setPlugin (DPlugin *const plugin)
FilterAction::Category | toolCategory () const
QString | toolHelp () const
QIcon | toolIcon () const
QString | toolName () const
EditorToolSettings * | toolSettings () const
int | toolVersion () const
QWidget * | toolView () const

## Protected Slots
void | slotAnalyserFinished (bool success)
void | slotAnalyserStarted ()
| Manage start and end events from analyser.
void | slotCancel () override
void | slotFilterFinished (bool success)
void | slotFilterStarted ()
| Manage start and end events from filter.
void | slotInit () override
void | slotOk () override
void | slotPreview () override
void | slotProgress (int progress)
| Dispatch progress event from filter and analyser.
Protected Slots inherited from Digikam::EditorTool
virtual void | slotCancel ()
virtual void | slotInit ()
virtual void | slotLoadSettings ()
virtual void | slotOk ()
virtual void | slotResetSettings ()
void | slotTimer ()

## Protected Member Functions
DImgThreadedAnalyser * | analyser () const
| Manage analyser instance plugged in tool interface.
virtual void | analyserCompleted ()
void | deleteFilterInstance (bool b=true)
| If true, delete filter instance when preview or final rendering is processed.
DImgThreadedFilter * | filter () const
| Manage filter instance plugged in tool interface.
virtual void | prepareFinal ()
virtual void | preparePreview ()
virtual void | renderingFinished ()
void | setAnalyser (DImgThreadedAnalyser *const analyser)
void | setFilter (DImgThreadedFilter *const filter)
virtual void | setFinalImage ()
virtual void | setPreviewImage ()
Protected Member Functions inherited from Digikam::EditorTool
virtual void | finalRendering ()
virtual void | readSettings ()
virtual void | setBusy (bool)
void | setPreviewModeMask (int mask)
void | setToolCategory (const FilterAction::Category category)
void | setToolHelp (const QString &anchor)
void | setToolIcon (const QIcon &icon)
void | setToolInfoMessage (const QString &txt)
void | setToolName (const QString &name)
virtual void | setToolSettings (EditorToolSettings *const settings)
void | setToolVersion (const int version)
virtual void | setToolView (QWidget *const view)
virtual void | slotChannelChanged ()
virtual void | slotPreview ()
virtual void | slotSaveAsSettings ()
virtual void | slotScaleChanged ()
virtual void | writeSettings ()

## Additional Inherited Members
Signals inherited from Digikam::EditorTool
void | cancelClicked ()
void | okClicked ()

## Member Function Documentation

## ◆ deleteFilterInstance()

void Digikam::EditorToolThreaded::deleteFilterInstance | ( | bool | b = `true` | ) |
| protected

If false, filter instance will be managed outside for ex. with ContentAwareResizing tool.

## ◆ setProgressMessage()

void Digikam::EditorToolThreaded::setProgressMessage | ( | const QString & | mess | ) |

If it's not set, tool name is used instead.